Page MenuHomePhabricator

Implement tracking of label use per parser target language
Closed, ResolvedPublic1 Story Points

Description

We need to track the usage for each label language separately. This is not only crucial for multilingual wikis, but will also allow purges to work properly for labels that result from applying language fallback.

Note that this implies that tracking needs to happen whenever a page is rendered with a new target language.
It also implies that tracking info needs to be purged independently of rendering, when the page is edited (actually, when the page is touched/invalidated).

Event Timeline

daniel created this task.Mar 18 2015, 11:55 AM
daniel raised the priority of this task from to High.
daniel updated the task description. (Show Details)
Tobi_WMDE_SW moved this task from Backlog to Doing on the Wikidata-Sprint-2015-05-05 board.

Change 207426 had a related patch set uploaded (by JanZerebecki):
Add modifier field to EntityUsage

https://gerrit.wikimedia.org/r/207426

Change 209512 had a related patch set uploaded (by JanZerebecki):
Use usage modifiers when detecting affected pages

https://gerrit.wikimedia.org/r/209512

Change 207426 merged by Thiemo Mättig (WMDE):
Add modifier field to EntityUsage

https://gerrit.wikimedia.org/r/207426

Change 209512 merged by Thiemo Mättig (WMDE):
Use usage modifiers when detecting affected pages

https://gerrit.wikimedia.org/r/209512

daniel closed this task as Resolved.May 21 2015, 2:58 PM
Tobi_WMDE_SW edited a custom field.May 25 2015, 11:11 AM

Change 215076 had a related patch set uploaded (by JanZerebecki):
Add modifier field to EntityUsage

https://gerrit.wikimedia.org/r/215076

Rical removed a subscriber: Rical.Jun 3 2015, 6:04 PM

Change 215076 merged by jenkins-bot:
Add modifier field to EntityUsage

https://gerrit.wikimedia.org/r/215076